
QGIS Application - Bug report #19265

Crash on open - Mac OSX High Sierra

2018-06-26 01:33 AM - Rhenriques Henriques

Status: Open

Priority: High

Assignee:

Category: mac_os_specific

Affected QGIS version:3.2 Regression?: Yes

Operating System: MacOS Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27093

Description

Latest QGIS 3.2 compilation crashes on opening - Macos High Sierra

History

#1 - 2018-06-26 05:05 AM - Rhenriques Henriques

Rhenriques Henriques wrote:

Latest QGIS 3.2 compilation crashes on opening - Macos High Sierra

Had to trash the QGIS3 folder from ../user/Library/application support 

This way QGIS starts but we loose all the definitions and installed plugins.

#2 - 2018-06-27 03:42 AM - Chris Kahler

Similar problem. After attempting to use GRASS tools to edit / digitise existing GRASS vector map. Trashed QGIS3 folder as above and GIS re-started.

#3 - 2018-06-27 11:27 PM - Jürgen Fischer

- Subject changed from QGIS 3 - 3.2 - Crash to crash on open

#4 - 2018-06-28 01:08 PM - Joe Bullard

Rhenriques Henriques wrote:

Latest QGIS 3.2 compilation crashes on opening - Macos High Sierra

Also experiencing this issue, won't get beyond opening 'QGIS 3.2 Bonn' boot message.

#5 - 2018-06-28 01:17 PM - Joe Bullard

Joe Bullard wrote:

Rhenriques Henriques wrote:
Latest QGIS 3.2 compilation crashes on opening - Macos High Sierra

Also experiencing this issue, won't get beyond opening 'QGIS 3.2 Bonn' boot message.

Where can I find the older 3.0? can't get 3.2 to work and it replaced 3.0 on my Mac

#6 - 2018-06-28 04:09 PM - Jürgen Fischer

Joe Bullard wrote:

Where can I find the older 3.0? can't get 3.2 to work and it replaced 3.0 on my Mac

https://qgis.org/downloads/macOS/

#7 - 2018-12-27 04:54 PM - Nyall Dawson

- Status changed from Open to Feedback

Please test on 3.4

#8 - 2018-12-28 11:53 AM - Paolo Cavallini

- Subject changed from crash on open to Crash on open - Mac OSX High Sierra

#9 - 2018-12-31 03:58 AM - Frank Horowitz

Nyall Dawson wrote:

Please test on 3.4

On High Sierra (10.13.6).

Recent QGIS 3.4.2 started crashing on startup after months of stability. Attempting to work around:

    -  removed the profile directory from ~/Library/Application\ Support/QGIS/QGIS3/profiles (no help).

    -  installed the latest python.org python3 3.6.8 version.

    -  installed QGIS (3.4.3-1) from QGIS website.

The crashes still happen on launch of QGIS3.app

Any hints about workarounds would be greatly appreciated!

#10 - 2018-12-31 05:01 AM - Frank Horowitz

Further to my report above, here is a relevant snippet of the crash report:

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   dyld                              0x000000011516552a dyld::fastBindLazySymbol(ImageLoader**, unsigned long) + 43

1   libdyld.dylib                     0x00007fff6a554292 dyld_stub_binder + 282

2   ???                               0x000000011caec040 0 + 4776181824

3   org.qt-project.QtSql              0x000000010d4d72ab 0x10d4d2000 + 21163

4   org.qt-project.QtSql              0x000000010d4db0ee 0x10d4d2000 + 37102

5   org.qt-project.QtCore             0x000000011413f0d9 QHashData::free_helper(void ()(QHashData::Node)) + 73

6   org.qt-project.QtSql              0x000000010d4db08b 0x10d4d2000 + 37003

7   libsystem_c.dylib                 0x00007fff6a600eed __cxa_finalize_ranges + 351

8   libsystem_c.dylib                 0x00007fff6a6011fe exit + 55

9   org.python.python                 0x000000011dd28b60 initsite + 112

10  org.python.python                 0x000000011dd2916d _Py_InitializeEx_Private + 685

11  libqgispython.3.4.3.dylib         0x000000011cbeeeb6 QgsPythonUtilsImpl::init() + 14

12  libqgispython.3.4.3.dylib         0x000000011cbef7e2 QgsPythonUtilsImpl::initPython(QgisInterface*) + 24

13  libqgis_app.3.4.3.dylib           0x000000010a7c1baa QgisApp::loadPythonSupport() + 588

14  libqgis_app.3.4.3.dylib           0x000000010a78df75 QgisApp::QgisApp(QSplashScreen*, bool, bool, QString const&, QString const&, QWidget*,

QFlags<Qt::WindowType>) + 22233

15  org.qgis.qgis3                    0x000000010a2bffaf main + 20299

16  libdyld.dylib                     0x00007fff6a554015 start + 1

#11 - 2019-01-01 05:37 PM - Frank Horowitz

A further note on my crash involving a workaround: I installed qgis3 using Homebrew and found that it indeed avoids the crash. There are other issues with

PyQt5.sip not being found -- apparently preventing Python integration from working -- but QGIS 3.4.3 does indeed run. I will look into the .sip issue more

deeply later, but for now I have work to do with QGIS...

#12 - 2019-03-09 04:50 PM - Giovanni Manghi

- Status changed from Feedback to Open

- Category changed from Unknown to mac_os_specific
